<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_host_option.inc,v 1.2 2003/08/05 18:01:45 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_host_option.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Global Option Template
	Show a single Global DHCP option for a specific subnet or workgroup.

*/

?>

<p class="header2">
<? if ( $action == 'show_create_host' ) { ?>
	Create a new Host DHCP Option 
<? } else { ?>
	Update a Host DHCP Option
<? } ?>
</p>

<? $conf['error']->show_message('option_top'); ?>

<? show_template('tborder'); ?>

<form name="edit_option" style="Display:inline" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/option.php">
<table border="0" cellpadding="2" cellspacing="0" width="100%">
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->display_plain_txt("options_dhcp"); ?>"><? $conf['help']->show_help_link("options_dhcp"); ?> DHCP Option: </td>
                <td>
		<? $conf['ui']->show_dhcp_option_select($option->id, $type,'true'); ?>
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->display_plain_txt("options_value"); ?>"><? $conf['help']->show_help_link("options_value"); ?> Value: </td>
                <td><input name="value" value='<?= $option->value ?>' size="64" maxlength="128" />
		<? $conf['error']->show_message('option_value'); ?>
                </td>
        </tr>
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
		<? if ( $action == 'show_create_host' ) { ?>
			<input type="hidden" name="action" value="create_host" />
			<input type="submit" value="Create" />&nbsp;&nbsp;
			<input type="submit" name="action" value="Cancel" />
			<input type="hidden" name="type" value="<?= $type ?>" />
			<input type="hidden" name="type_id" value="<?= $type_id ?>" />
		<? } else { ?>
			<input type="submit" name="action" value="Update Host Option" />
			<input type="submit" name="action" value="Delete Host Option" />
			<input type="hidden" name="option_id" value="<?= $option->id ?>" />
			<input type="hidden" name="type" value="<?= $option->type ?>" />
		<? } ?>
		</td>
	</tr>
</table>
</form>

<? show_template('bborder'); ?>
